Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class DbEntityValidator

    java.lang.Object
      org.apache.cayenne.project.validator.TreeNodeValidator
          org.apache.cayenne.project.validator.DbEntityValidator

    public class DbEntityValidator

extends TreeNodeValidator

Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`dbAttrValidator, dbEntityValidator, dbRelValidator, domainValidator, mapValidator, nodeValidator, objAttrValidator, objEntityValidator, objRelValidator, procedureParameterValidator, procedureQueryValidator, procedureValidator, selectQueryValidator, sqlTemplateValidator`

Constructor Summary
`DbEntityValidator()` Constructor for DbEntityValidator.

Method Summary
`protected void` | `validateAttributes(DbEntity ent, ProjectPath path, Validator validator)` Tables must have columns.
`protected void` | `validateName(DbEntity ent, ProjectPath path, Validator validator)`
`void` | `validateObject(ProjectPath path, Validator validator)` Validates an object, appending any warnings or errors to the validator.
`protected void` | `validatePK(DbEntity ent, ProjectPath path, Validator validator)` Validates the presence of the primary key.

Methods inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbEntityValidator

    public DbEntityValidator()

  Constructor for DbEntityValidator.

Method Detail

### validateObject

    public void validateObject(ProjectPath path,
                               Validator validator)

  Description copied from class: `TreeNodeValidator`
  Validates an object, appending any warnings or errors to the validator. Object to be validated is the last object in a `treeNodePath` array argument. Concrete implementations would expect an object of a specific type. Otherwise, ClassCastException will be thrown.

  Specified by:
    `validateObject` in class `TreeNodeValidator`

### validatePK

    protected void validatePK(DbEntity ent,
                              ProjectPath path,
                              Validator validator)

  Validates the presence of the primary key. A warning is given only if the parent map also conatins an ObjEntity mapped to this entity, since unmapped primary key is ok if working with data rows.

### validateAttributes

    protected void validateAttributes(DbEntity ent,
                                      ProjectPath path,
                                      Validator validator)

  Tables must have columns.

### validateName

    protected void validateName(DbEntity ent,
                                ProjectPath path,
                                Validator validator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.